Bug Hunting Session
Bug 45925 - EDITING: HANG when copy - paste cells including merged ones to column
Summary: EDITING: HANG when copy - paste cells including merged ones to column
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Calc-Merge-Split 45916
  Show dependency treegraph
 
Reported: 2012-02-11 03:46 UTC by Rainer Bielefeld Retired
Modified: 2019-10-16 02:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug 45925 - WinDbg session (9.50 KB, text/plain)
2012-07-09 11:40 UTC, bfoman (inactive)
Details
bt at random (6.40 KB, text/plain)
2016-05-28 07:57 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-02-11 03:46:53 UTC
Steps hos to reproduce with "LibreOffice 3.5.0 RC3 German UI/Locale [Build-ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735] on German WIN7 Home Premium (64bit):

1. Start Calc, and new a spreadsheet document.
2. Merge cell A1 and B1.
3. Input data to cell A1, A2 and B2
4. Copy cells A1: B2
5. Click column header to select the whole column, e.g. Column E.
6. Paste cells copied in step 4
   Expected: all column filled with contents
   Actual: Hangs

[Reproducible] with "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 
and
[Reproducible] with "LibreOffice Portable 3.3.0  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:6) tag libreoffice-3.3.0.4]" 

Also reproducible with OOo 3.3, so problem seems inherited from OOo.

Works fine with OOo 3.1.1

NEW due to own test results and referenced AOOo Issue "[From Symphony] Calc stop responding if paste merged celss to a column"
Comment 1 Rainer Bielefeld Retired 2012-02-11 03:54:11 UTC Comment hidden (obsolete)
Comment 2 bfoman (inactive) 2012-07-09 11:40:50 UTC
Created attachment 64017 [details]
Bug 45925 - WinDbg session

Checked with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Well, selecting a column means that the content will be copied to >1 M rows. It can take time and LO is unresponsive. So it is more like bug 48381. Additionally, LO crashed while autosave in my case. I made memory dump and processed it with WinDbg.
Attached full WinDbg session with memory dump file loaded.
Comment 3 Cor Nouws 2014-01-03 14:26:23 UTC Comment hidden (obsolete)
Comment 4 Eike Rathke 2014-01-22 00:17:35 UTC Comment hidden (obsolete)
Comment 6 Eike Rathke 2014-01-22 00:27:13 UTC
A remaining bottle neck seems to be cell insertion.
Comment 7 Joel Madero 2015-05-02 15:41:35 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-06-20 13:27:56 UTC
Reproduced crash.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 9 Julien Nabet 2016-05-28 07:54:23 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce the hang.
Comment 10 Julien Nabet 2016-05-28 07:57:17 UTC
Created attachment 125338 [details]
bt at random

I attached a bt at random
Comment 11 Xisco Faulí 2017-07-13 10:55:48 UTC Comment hidden (obsolete)
Comment 12 Timur 2018-04-18 17:21:12 UTC Comment hidden (me-too)
Comment 13 Timur 2018-10-15 14:37:26 UTC
Repro 6.2+ in Windows.
Comment 14 QA Administrators 2019-10-16 02:29:56 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug